Index: boot/arch/sparc64/src/asm.S
===================================================================
--- boot/arch/sparc64/src/asm.S	(revision 4646710d9ea7943ec02c77020e7b60258fd30d8b)
+++ boot/arch/sparc64/src/asm.S	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -65,22 +65,22 @@
 1:
 	! Disable interrupts and disable address masking.
-	
+
 	wrpr %g0, PSTATE_PRIV_BIT, %pstate
-	
+
 	wrpr %g0, NWINDOWS - 2, %cansave   ! Set maximum saveable windows
 	wrpr %g0, 0, %canrestore           ! Get rid of windows we will never need again
 	wrpr %g0, 0, %otherwin             ! Make sure the window state is consistent
 	wrpr %g0, NWINDOWS - 1, %cleanwin  ! Prevent needless clean_window traps for kernel
-	
+
 	set initial_stack, %sp
 	add %sp, -STACK_BIAS, %sp
-	
+
 	set ofw_cif, %l0
-	
+
 	! Initialize OpenFirmware
-	
+
 	call ofw_init
 	stx %o4, [%l0]
-	
+
 	ba %xcc, bootstrap
 	nop
@@ -105,5 +105,5 @@
 	 * 3. Flush instruction pipeline.
 	 */
-	
+
 	/*
 	 * US3 processors have a write-invalidate cache, so explicitly
@@ -115,17 +115,17 @@
 	be %xcc, 1f
 	nop
-	
+
 	0:
 		call icache_flush
 		nop
-	
+
 	1:
 		membar #StoreStore
-	
+
 	/*
 	 * Flush the instruction pipeline.
 	 */
 	flush %i7
-	
+
 	! Jump to kernel
 	jmp %o3
@@ -138,16 +138,16 @@
 	set ((ICACHE_SIZE - ICACHE_LINE_SIZE) | ICACHE_SET_BIT), %g1
 	stxa %g0, [%g1] ASI_ICACHE_TAG
-	
+
 	0:
 		membar #Sync
 		subcc %g1, ICACHE_LINE_SIZE, %g1
 		bnz,pt %xcc, 0b
-	
+
 	stxa %g0, [%g1] ASI_ICACHE_TAG
 	membar #Sync
 	retl
-	
+
 	! SF Erratum #51
-	
+
 	nop
 #else
@@ -161,14 +161,14 @@
 	set ofw_cif, %l0
 	ldx [%l0], %l0
-	
+
 	rdpr %pstate, %l1
 	and %l1, ~PSTATE_AM_BIT, %l2
 	wrpr %l2, 0, %pstate
-	
+
 	jmpl %l0, %o7
 	mov %i0, %o0
-	
+
 	wrpr %l1, 0, %pstate
-	
+
 	ret
 	restore %o0, 0, %o0
Index: boot/arch/sparc64/src/main.c
===================================================================
--- boot/arch/sparc64/src/main.c	(revision 4646710d9ea7943ec02c77020e7b60258fd30d8b)
+++ boot/arch/sparc64/src/main.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -86,5 +86,5 @@
 	phandle root = ofw_find_device("/");
 	char compatible[OFW_TREE_PROPERTY_MAX_VALUELEN];
-	
+
 	if (ofw_get_property(root, "compatible", compatible,
 	    OFW_TREE_PROPERTY_MAX_VALUELEN) <= 0) {
@@ -93,5 +93,5 @@
 		return;
 	}
-	
+
 	if (str_cmp(compatible, "sun4v") != 0) {
 		/*
@@ -122,15 +122,15 @@
 		: [ver] "=r" (ver)
 	);
-	
+
 	ver = (ver << 16) >> 48;
-	
+
 	if ((ver >= FIRST_US3_CPU) && (ver <= LAST_US3_CPU)) {
 		subarch = SUBARCH_US3;
-		
+
 		if (ver == US_IIIi_CODE)
 			mid_mask = (1 << 5) - 1;
 		else
 			mid_mask = (1 << 10) - 1;
-		
+
 	} else if (ver < FIRST_US3_CPU) {
 		subarch = SUBARCH_US;
@@ -193,5 +193,5 @@
 {
 	version_print();
-	
+
 	arch_detect();
 	if (arch == ARCH_SUN4U)
@@ -199,5 +199,5 @@
 	else
 		subarch = SUBARCH_UNKNOWN;
-	
+
 	bootinfo.physmem_start = ofw_get_physmem_start();
 	ofw_memmap(&bootinfo.memmap);
@@ -205,9 +205,9 @@
 	if (arch == ARCH_SUN4V)
 		sun4v_fixups();
-	
+
 	void *bootinfo_pa = ofw_translate(&bootinfo);
 	void *kernel_address_pa = ofw_translate((void *) KERNEL_ADDRESS);
 	void *loader_address_pa = ofw_translate((void *) LOADER_ADDRESS);
-	
+
 	printf("\nMemory statistics (total %" PRIu64 " MB, starting at %p)\n",
 	    bootinfo.memmap.total >> 20, (void *) bootinfo.physmem_start);
@@ -217,5 +217,5 @@
 	printf(" %p|%p: loader entry point\n",
 	    (void *) LOADER_ADDRESS, (void *) loader_address_pa);
-	
+
 	size_t i;
 	for (i = 0; i < COMPONENTS; i++)
@@ -223,5 +223,5 @@
 		    ofw_translate(components[i].addr), components[i].name,
 		    components[i].inflated, components[i].size);
-	
+
 	void *dest[COMPONENTS];
 	size_t top = KERNEL_ADDRESS;
@@ -230,5 +230,5 @@
 	for (i = 0; i < min(COMPONENTS, TASKMAP_MAX_RECORDS); i++) {
 		top = ALIGN_UP(top, PAGE_SIZE);
-		
+
 		if (i > 0) {
 			bootinfo.taskmap.tasks[bootinfo.taskmap.cnt].addr =
@@ -236,21 +236,21 @@
 			bootinfo.taskmap.tasks[bootinfo.taskmap.cnt].size =
 			    components[i].inflated;
-			
+
 			str_cpy(bootinfo.taskmap.tasks[bootinfo.taskmap.cnt].name,
 			    BOOTINFO_TASK_NAME_BUFLEN, components[i].name);
-			
+
 			bootinfo.taskmap.cnt++;
 		}
-		
+
 		dest[i] = (void *) top;
 		top += components[i].inflated;
 		cnt++;
 	}
-	
+
 	printf("\nInflating components ... ");
-	
+
 	for (i = cnt; i > 0; i--) {
 		printf("%s ", components[i - 1].name);
-		
+
 		/*
 		 * At this point, we claim and map the physical memory that we
@@ -263,11 +263,11 @@
 		ofw_claim_phys(bootinfo.physmem_start + dest[i - 1],
 		    ALIGN_UP(components[i - 1].inflated, PAGE_SIZE));
-		
+
 		ofw_map(bootinfo.physmem_start + dest[i - 1], dest[i - 1],
 		    ALIGN_UP(components[i - 1].inflated, PAGE_SIZE), -1);
-		
+
 		int err = inflate(components[i - 1].addr, components[i - 1].size,
 		    dest[i - 1], components[i - 1].inflated);
-		
+
 		if (err != EOK) {
 			printf("\n%s: Inflating error %d, halting.\n",
@@ -276,7 +276,7 @@
 		}
 	}
-	
+
 	printf(".\n");
-	
+
 	/*
 	 * Claim and map the physical memory for the boot allocator.
@@ -290,14 +290,14 @@
 	balloc_init(&bootinfo.ballocs, balloc_base, (uintptr_t) balloc_base,
 	    BALLOC_MAX_SIZE);
-	
+
 	printf("Setting up screens ...\n");
 	ofw_setup_screens();
-	
+
 	printf("Canonizing OpenFirmware device tree ...\n");
 	bootinfo.ofw_root = ofw_tree_build();
-	
+
 	if (arch == ARCH_SUN4U)
 		sun4u_smp();
-	
+
 	printf("Booting the kernel ...\n");
 	jump_to_kernel(bootinfo.physmem_start | BSP_PROCESSOR, &bootinfo, subarch,
Index: boot/arch/sparc64/src/ofw.c
===================================================================
--- boot/arch/sparc64/src/ofw.c	(revision 4646710d9ea7943ec02c77020e7b60258fd30d8b)
+++ boot/arch/sparc64/src/ofw.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -47,5 +47,5 @@
 	if (ch == '\n')
 		ofw_putchar('\r');
-	
+
 	if (ascii_check(ch))
 		ofw_putchar(ch);
@@ -72,16 +72,16 @@
 {
 	size_t cpus;
-	
+
 	for (cpus = 0; (child != 0) && (child != (phandle) -1);
 	    child = ofw_get_peer_node(child), cpus++) {
 		char type_name[OFW_TREE_PROPERTY_MAX_VALUELEN];
-		
+
 		if (ofw_get_property(child, "device_type", type_name,
 		    OFW_TREE_PROPERTY_MAX_VALUELEN) > 0) {
 			type_name[OFW_TREE_PROPERTY_MAX_VALUELEN - 1] = 0;
-			
+
 			if (str_cmp(type_name, "cpu") == 0) {
 				uint32_t mid;
-				
+
 				/*
 				 * "upa-portid" for US, "portid" for US-III,
@@ -92,5 +92,5 @@
 				    && (ofw_get_property(child, "cpuid", &mid, sizeof(mid)) <= 0))
 					continue;
-				
+
 				if (current_mid != mid) {
 					/*
@@ -104,5 +104,5 @@
 		}
 	}
-	
+
 	return cpus;
 }
@@ -115,5 +115,5 @@
 	/* Get the current CPU MID */
 	uint64_t current_mid;
-	
+
 	asm volatile (
 		"ldxa [%[zero]] %[asi], %[current_mid]\n"
@@ -122,24 +122,24 @@
 		  [asi] "i" (ASI_ICBUS_CONFIG)
 	);
-	
+
 	current_mid >>= ICBUS_CONFIG_MID_SHIFT;
 	current_mid &= mid_mask;
-	
+
 	/* Wake up the CPUs */
-	
+
 	phandle cpus_parent = ofw_find_device("/ssm@0,0");
 	if ((cpus_parent == 0) || (cpus_parent == (phandle) -1))
 		cpus_parent = ofw_find_device("/");
-	
+
 	phandle node = ofw_get_child_node(cpus_parent);
 	size_t cpus = wake_cpus_in_node(node, current_mid, physmem_start);
-	
+
 	while ((node != 0) && (node != (phandle) -1)) {
 		char name[OFW_TREE_PROPERTY_MAX_VALUELEN];
-		
+
 		if (ofw_get_property(node, "name", name,
 		    OFW_TREE_PROPERTY_MAX_VALUELEN) > 0) {
 			name[OFW_TREE_PROPERTY_MAX_VALUELEN - 1] = 0;
-			
+
 			if (str_cmp(name, "cmp") == 0) {
 				phandle subnode = ofw_get_child_node(node);
@@ -148,8 +148,8 @@
 			}
 		}
-		
+
 		node = ofw_get_peer_node(node);
 	}
-	
+
 	if (cpus == 0)
 		printf("Warning: Unable to get CPU properties.\n");
@@ -169,5 +169,5 @@
 		halt();
 	}
-	
+
 	return ((((uintptr_t) memreg[0]) << 32) | memreg[1]);
 }
